<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<placeable>
    <storeData>
        <name>
            <en>Large Machine Hall</en>
			<de>Große Maschinenhalle</de>
			<fr>Grand atelier d'usinage</fr>
        </name>
        <functions>
            <function>$l10n_function_decoration</function>
		</functions>     
        <image>store.png</image>
        <price>43500</price>
        <lifetime>1000</lifetime>
        <dailyUpkeep>65</dailyUpkeep>
        <brand>Neroxc</brand>
        <species>placeable</species>
        <category>sheds</category>
        <vertexBufferMemoryUsage>2012852</vertexBufferMemoryUsage>
        <indexBufferMemoryUsage>279486</indexBufferMemoryUsage>
        <textureMemoryUsage>65065688</textureMemoryUsage>
        <instanceVertexBufferMemoryUsage>0</instanceVertexBufferMemoryUsage>
        <instanceIndexBufferMemoryUsage>0</instanceIndexBufferMemoryUsage>
    </storeData>
	<placeableType>placeable</placeableType>
    <filename>Maschinenhalle.i3d</filename>
    <placement testSizeX="24" testSizeZ="7" sizeX="13" sizeZ="13" useRandomYRotation="false" useManualYRotation="true"/>
  
    <clearAreas>
        <clearArea startNode="5|0" widthNode="5|0|0" heightNode="5|0|1"/>
    </clearAreas>
  
    <leveling requireLeveling="true" maxSmoothDistance="10" maxSlope="75" maxEdgeAngle="30">
        <levelAreas>
            <levelArea startNode="5|0" widthNode="5|0|0" heightNode="5|0|1"  groundType="concrete"/>
        </levelAreas>
    </leveling>	
	
	<seasons>
        <maskAreas>
            <maskArea startNode="5|0" widthNode="5|0|0" heightNode="5|0|1" />
        </maskAreas>
    </seasons>	
 
    <tipOcclusionUpdateArea sizeX="24" sizeZ="7"/>
	
	<animatedObjects>
		<animatedObject saveId="Rolltor01" >
            <animation initialTime="0" duration="7.5">		
                <part node="2|0|1|6"> <!--Rolltor index 1-->
                    <Keyframe time="0" translation="0 3.951 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation=" 0 4.31 0.051" rotation="39.48 -0 0"/>
                    <Keyframe time="0.165" translation=" 0 4.607 0.193" rotation="67.903 -0 0"/>
                    <Keyframe time="0.23" translation="0 4.727 0.522" rotation="78.172 -0 0"/>
                    <Keyframe time="0.295" translation="0 4.727 0.821" rotation="78.172 -0 0"/>
                    <Keyframe time="0.36" translation="0 4.725 1.149" rotation="78.172 -0 0"/>
                    <Keyframe time="0.425" translation="0 4.725 1.444" rotation="78.172 -0 0"/>
                    <Keyframe time="0.49" translation="0 4.725 1.835" rotation="78.172 -0 0"/>
                    <Keyframe time="0.555" translation="0 4.725 2.099" rotation="78.172 -0 0"/>
                    <Keyframe time="0.62" translation="0 4.725 2.484" rotation="78.172 -0 0"/>
                    <Keyframe time="0.685" translation="0 4.725 2.747" rotation="78.172 -0 0"/>
                    <Keyframe time="0.75" translation="0 4.725 3.14" rotation="78.172 -0 0"/>
                    <Keyframe time="0.815" translation="0 4.725 3.4" rotation="78.172 -0 0"/>
                    <Keyframe time="0.9" translation="0 4.725 3.78" rotation="78.172 -0 0"/>
                    <Keyframe time="1" translation="0 4.725 3.92" rotation="78.172 -0 0"/>
                </part>
                <part node="2|0|1|5"> <!--Rolltor index 2-->
                    <Keyframe time="0" translation="0 3.297 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 3.659 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 3.976 0.051" rotation="12.868 -0 0"/>
                    <Keyframe time="0.23" translation="0 4.278 0.051" rotation="46.335 -0 0"/>
                    <Keyframe time="0.295" translation="0 4.609 0.177" rotation="79.52 -0 0"/>
                    <Keyframe time="0.36" translation="0 4.722 0.499" rotation="90 -0 0"/>
                    <Keyframe time="0.425" translation="0 4.722 0.795" rotation="90 -0 0"/>
                    <Keyframe time="0.49" translation="0 4.722 1.185" rotation="90 -0 0"/>
                    <Keyframe time="0.555" translation="0 4.725 1.444" rotation="90 -0 0"/>	
                    <Keyframe time="0.62" translation="0 4.725 1.832" rotation="90 -0 0"/>
                    <Keyframe time="0.685" translation="0 4.725 2.093" rotation="90 -0 0"/>						
                    <Keyframe time="0.75" translation="0 4.725 2.483" rotation="90 -0 0"/>						
                    <Keyframe time="0.815" translation="0 4.725 2.744" rotation="90 -0 0"/>						
                    <Keyframe time="0.9" translation="0 4.725 3.132" rotation="90 -0 0"/>						
                    <Keyframe time="1" translation="0 4.725 3.267" rotation="90 -0 0"/>						
                </part>
                <part node="2|0|1|4"> <!--Rolltor index 3-->
                    <Keyframe time="0" translation="0 2.644 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 3.009 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 3.328 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.23" translation="0 3.623 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.295" translation="0 3.972 0.052" rotation="11.042 -0 0"/>
                    <Keyframe time="0.36" translation="0 4.258 0.049" rotation="44.281 -0 0"/>
                    <Keyframe time="0.425" translation="0 4.597 0.159" rotation="77.987 -0 0"/>
                    <Keyframe time="0.49" translation="0 4.722 0.531" rotation="90 -0 0"/>
                    <Keyframe time="0.555" translation="0 4.722 0.795" rotation="90 -0 0"/>
                    <Keyframe time="0.62" translation="0 4.722 1.185" rotation="90 -0 0"/>
                    <Keyframe time="0.685" translation="0 4.725 1.444" rotation="90 -0 0"/>	
                    <Keyframe time="0.75" translation="0 4.725 1.832" rotation="90 -0 0"/>
                    <Keyframe time="0.815" translation="0 4.725 2.093" rotation="90 -0 0"/>						
                    <Keyframe time="0.9" translation="0 4.725 2.483" rotation="90 -0 0"/>						
                    <Keyframe time="1" translation="0 4.725 2.619" rotation="90 -0 0"/>											
                </part>
                <part node="2|0|1|3"> <!--Rolltor index 4-->
                    <Keyframe time="0" translation="0 1.992 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 2.361 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 2.681 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.23" translation="0 2.974 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.295" translation="0 3.322 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.36" translation="0 3.605 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.425" translation="0 3.952 0.052" rotation="9.329 -0 0"/>
					<Keyframe time="0.49" translation="0 4.286 0.052" rotation="47.94 -0 0"/>
                    <Keyframe time="0.555" translation="0 4.597 0.159" rotation="77.987 -0 0"/>					
                    <Keyframe time="0.62" translation="0 4.722 0.531" rotation="90 -0 0"/>
                    <Keyframe time="0.685" translation="0 4.722 0.795" rotation="90 -0 0"/>
                    <Keyframe time="0.75" translation="0 4.722 1.185" rotation="90 -0 0"/>
                    <Keyframe time="0.815" translation="0 4.725 1.444" rotation="90 -0 0"/>	
                    <Keyframe time="0.9" translation="0 4.725 1.832" rotation="90 -0 0"/>
                    <Keyframe time="1" translation="0 4.725 1.974" rotation="90 -0 0"/>					
                </part>
                <part node="2|0|1|2"> <!--Rolltor index 5-->
                    <Keyframe time="0" translation="0 1.338 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 1.708 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 2.029 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.23" translation="0 2.323 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.295" translation="0 2.664 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.36" translation="0 2.955 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.425" translation="0 3.299 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.49" translation="0 3.634 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.555" translation="0 3.952 0.052" rotation="9.329 -0 0"/>	
                    <Keyframe time="0.62" translation="0 4.286 0.052" rotation="47.94 -0 0"/>					
                    <Keyframe time="0.685" translation="0 4.597 0.159" rotation="77.987 -0 0"/>					
                    <Keyframe time="0.75" translation="0 4.722 0.531" rotation="90 -0 0"/>
                    <Keyframe time="0.815" translation="0 4.722 0.795" rotation="90 -0 0"/>
                    <Keyframe time="0.9" translation="0 4.722 1.185" rotation="90 -0 0"/>
                    <Keyframe time="1" translation="0 4.722 1.324" rotation="90 -0 0"/>
                </part>
                <part node="2|0|1|1"> <!--Rolltor index 6-->
                    <Keyframe time="0" translation="0 0.685 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 1.058 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 1.379 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.23" translation="0 1.67 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.295" translation="0 2.011 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.36" translation="0 2.305 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.425" translation="0 2.65 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.49" translation="0 2.982 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.555" translation="0 3.299 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.62" translation="0 3.637 0.052" rotation="0 -0 0"/>	
                    <Keyframe time="0.685" translation="0 3.952 0.052" rotation="9.329 -0 0"/>	
                    <Keyframe time="0.75" translation="0 4.286 0.052" rotation="47.94 -0 0"/>					
                    <Keyframe time="0.815" translation="0 4.597 0.159" rotation="77.987 -0 0"/>					
                    <Keyframe time="0.9" translation="0 4.722 0.531" rotation="90 -0 0"/>
                    <Keyframe time="1" translation="0 4.722 0.675" rotation="90 -0 0"/>
                </part>
                <part node="2|0|1|0"> <!--Rolltor index 7-->
                    <Keyframe time="0" translation="0 0.036 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 0.407 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 0.726 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.23" translation="0 1.02 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.295" translation="0 1.358 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.36" translation="0 1.654 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.425" translation="0 1.998 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.49" translation="0 2.33 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.555" translation="0 2.65 0.051" rotation="0 -0 0"/>	
                    <Keyframe time="0.62" translation="0 2.986 0.051" rotation="0 -0 0"/>					
                    <Keyframe time="0.685" translation="0 3.299 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.75" translation="0 3.637 0.051" rotation="0 -0 0"/>	
                    <Keyframe time="0.815" translation="0 3.952 0.051" rotation="9.329 -0 0"/>	
                    <Keyframe time="0.9" translation="0 4.286 0.051" rotation="47.94 -0 0"/>					
                    <Keyframe time="1" translation="0 4.439 0.084" rotation="64.628 -0 0"/>					
                </part>				
            </animation>
            <controls triggerNode="2|0|0" posAction="ACTIVATE_HANDTOOL" posText="action_opengate" negText="action_closegate" />
            <sounds>
                <moving file="$data/sounds/tools/cotton_transporter/cotton_load_loop.ogg" loops="0" linkNode="2|0|0" volume="0.4" radius="25" innerRadius="3" fadeOut="0.25"/>
            </sounds>
        </animatedObject>
		<animatedObject saveId="Rolltor02" >
            <animation initialTime="0" duration="7.5">		
                <part node="2|1|1|6"> <!--Rolltor index 1-->
                    <Keyframe time="0" translation="0 3.951 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation=" 0 4.31 0.051" rotation="39.48 -0 0"/>
                    <Keyframe time="0.165" translation=" 0 4.607 0.193" rotation="67.903 -0 0"/>
                    <Keyframe time="0.23" translation="0 4.727 0.522" rotation="78.172 -0 0"/>
                    <Keyframe time="0.295" translation="0 4.727 0.821" rotation="78.172 -0 0"/>
                    <Keyframe time="0.36" translation="0 4.725 1.149" rotation="78.172 -0 0"/>
                    <Keyframe time="0.425" translation="0 4.725 1.444" rotation="78.172 -0 0"/>
                    <Keyframe time="0.49" translation="0 4.725 1.835" rotation="78.172 -0 0"/>
                    <Keyframe time="0.555" translation="0 4.725 2.099" rotation="78.172 -0 0"/>
                    <Keyframe time="0.62" translation="0 4.725 2.484" rotation="78.172 -0 0"/>
                    <Keyframe time="0.685" translation="0 4.725 2.747" rotation="78.172 -0 0"/>
                    <Keyframe time="0.75" translation="0 4.725 3.14" rotation="78.172 -0 0"/>
                    <Keyframe time="0.815" translation="0 4.725 3.4" rotation="78.172 -0 0"/>
                    <Keyframe time="0.9" translation="0 4.725 3.78" rotation="78.172 -0 0"/>
                    <Keyframe time="1" translation="0 4.725 3.92" rotation="78.172 -0 0"/>
                </part>
                <part node="2|1|1|5"> <!--Rolltor index 2-->
                    <Keyframe time="0" translation="0 3.297 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 3.659 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 3.976 0.051" rotation="12.868 -0 0"/>
                    <Keyframe time="0.23" translation="0 4.278 0.051" rotation="46.335 -0 0"/>
                    <Keyframe time="0.295" translation="0 4.609 0.177" rotation="79.52 -0 0"/>
                    <Keyframe time="0.36" translation="0 4.722 0.499" rotation="90 -0 0"/>
                    <Keyframe time="0.425" translation="0 4.722 0.795" rotation="90 -0 0"/>
                    <Keyframe time="0.49" translation="0 4.722 1.185" rotation="90 -0 0"/>
                    <Keyframe time="0.555" translation="0 4.725 1.444" rotation="90 -0 0"/>	
                    <Keyframe time="0.62" translation="0 4.725 1.832" rotation="90 -0 0"/>
                    <Keyframe time="0.685" translation="0 4.725 2.093" rotation="90 -0 0"/>						
                    <Keyframe time="0.75" translation="0 4.725 2.483" rotation="90 -0 0"/>						
                    <Keyframe time="0.815" translation="0 4.725 2.744" rotation="90 -0 0"/>						
                    <Keyframe time="0.9" translation="0 4.725 3.132" rotation="90 -0 0"/>						
                    <Keyframe time="1" translation="0 4.725 3.267" rotation="90 -0 0"/>						
                </part>
                <part node="2|1|1|4"> <!--Rolltor index 3-->
                    <Keyframe time="0" translation="0 2.644 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 3.009 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 3.328 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.23" translation="0 3.623 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.295" translation="0 3.972 0.052" rotation="11.042 -0 0"/>
                    <Keyframe time="0.36" translation="0 4.258 0.049" rotation="44.281 -0 0"/>
                    <Keyframe time="0.425" translation="0 4.597 0.159" rotation="77.987 -0 0"/>
                    <Keyframe time="0.49" translation="0 4.722 0.531" rotation="90 -0 0"/>
                    <Keyframe time="0.555" translation="0 4.722 0.795" rotation="90 -0 0"/>
                    <Keyframe time="0.62" translation="0 4.722 1.185" rotation="90 -0 0"/>
                    <Keyframe time="0.685" translation="0 4.725 1.444" rotation="90 -0 0"/>	
                    <Keyframe time="0.75" translation="0 4.725 1.832" rotation="90 -0 0"/>
                    <Keyframe time="0.815" translation="0 4.725 2.093" rotation="90 -0 0"/>						
                    <Keyframe time="0.9" translation="0 4.725 2.483" rotation="90 -0 0"/>						
                    <Keyframe time="1" translation="0 4.725 2.619" rotation="90 -0 0"/>											
                </part>
                <part node="2|1|1|3"> <!--Rolltor index 4-->
                    <Keyframe time="0" translation="0 1.992 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 2.361 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 2.681 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.23" translation="0 2.974 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.295" translation="0 3.322 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.36" translation="0 3.605 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.425" translation="0 3.952 0.052" rotation="9.329 -0 0"/>
					<Keyframe time="0.49" translation="0 4.286 0.052" rotation="47.94 -0 0"/>
                    <Keyframe time="0.555" translation="0 4.597 0.159" rotation="77.987 -0 0"/>					
                    <Keyframe time="0.62" translation="0 4.722 0.531" rotation="90 -0 0"/>
                    <Keyframe time="0.685" translation="0 4.722 0.795" rotation="90 -0 0"/>
                    <Keyframe time="0.75" translation="0 4.722 1.185" rotation="90 -0 0"/>
                    <Keyframe time="0.815" translation="0 4.725 1.444" rotation="90 -0 0"/>	
                    <Keyframe time="0.9" translation="0 4.725 1.832" rotation="90 -0 0"/>
                    <Keyframe time="1" translation="0 4.725 1.974" rotation="90 -0 0"/>					
                </part>
                <part node="2|1|1|2"> <!--Rolltor index 5-->
                    <Keyframe time="0" translation="0 1.338 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 1.708 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 2.029 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.23" translation="0 2.323 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.295" translation="0 2.664 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.36" translation="0 2.955 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.425" translation="0 3.299 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.49" translation="0 3.634 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.555" translation="0 3.952 0.052" rotation="9.329 -0 0"/>	
                    <Keyframe time="0.62" translation="0 4.286 0.052" rotation="47.94 -0 0"/>					
                    <Keyframe time="0.685" translation="0 4.597 0.159" rotation="77.987 -0 0"/>					
                    <Keyframe time="0.75" translation="0 4.722 0.531" rotation="90 -0 0"/>
                    <Keyframe time="0.815" translation="0 4.722 0.795" rotation="90 -0 0"/>
                    <Keyframe time="0.9" translation="0 4.722 1.185" rotation="90 -0 0"/>
                    <Keyframe time="1" translation="0 4.722 1.324" rotation="90 -0 0"/>
                </part>
                <part node="2|1|1|1"> <!--Rolltor index 6-->
                    <Keyframe time="0" translation="0 0.685 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 1.058 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 1.379 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.23" translation="0 1.67 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.295" translation="0 2.011 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.36" translation="0 2.305 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.425" translation="0 2.65 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.49" translation="0 2.982 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.555" translation="0 3.299 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.62" translation="0 3.637 0.052" rotation="0 -0 0"/>	
                    <Keyframe time="0.685" translation="0 3.952 0.052" rotation="9.329 -0 0"/>	
                    <Keyframe time="0.75" translation="0 4.286 0.052" rotation="47.94 -0 0"/>					
                    <Keyframe time="0.815" translation="0 4.597 0.159" rotation="77.987 -0 0"/>					
                    <Keyframe time="0.9" translation="0 4.722 0.531" rotation="90 -0 0"/>
                    <Keyframe time="1" translation="0 4.722 0.675" rotation="90 -0 0"/>
                </part>
                <part node="2|1|1|0"> <!--Rolltor index 7-->
                    <Keyframe time="0" translation="0 0.036 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 0.407 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 0.726 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.23" translation="0 1.02 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.295" translation="0 1.358 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.36" translation="0 1.654 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.425" translation="0 1.998 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.49" translation="0 2.33 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.555" translation="0 2.65 0.051" rotation="0 -0 0"/>	
                    <Keyframe time="0.62" translation="0 2.986 0.051" rotation="0 -0 0"/>					
                    <Keyframe time="0.685" translation="0 3.299 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.75" translation="0 3.637 0.051" rotation="0 -0 0"/>	
                    <Keyframe time="0.815" translation="0 3.952 0.051" rotation="9.329 -0 0"/>	
                    <Keyframe time="0.9" translation="0 4.286 0.051" rotation="47.94 -0 0"/>					
                    <Keyframe time="1" translation="0 4.439 0.084" rotation="64.628 -0 0"/>					
                </part>				
            </animation>
            <controls triggerNode="2|1|0" posAction="ACTIVATE_HANDTOOL" posText="action_opengate" negText="action_closegate" />
            <sounds>
                <moving file="$data/sounds/tools/cotton_transporter/cotton_load_loop.ogg" loops="0" linkNode="2|1|0" volume="0.4" radius="25" innerRadius="3" fadeOut="0.25"/>
            </sounds>
        </animatedObject>
		<animatedObject saveId="Rolltor03" >
            <animation initialTime="0" duration="7.5">		
                <part node="2|2|1|6"> <!--Rolltor index 1-->
                    <Keyframe time="0" translation="0 3.951 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation=" 0 4.31 0.051" rotation="39.48 -0 0"/>
                    <Keyframe time="0.165" translation=" 0 4.607 0.193" rotation="67.903 -0 0"/>
                    <Keyframe time="0.23" translation="0 4.727 0.522" rotation="78.172 -0 0"/>
                    <Keyframe time="0.295" translation="0 4.727 0.821" rotation="78.172 -0 0"/>
                    <Keyframe time="0.36" translation="0 4.725 1.149" rotation="78.172 -0 0"/>
                    <Keyframe time="0.425" translation="0 4.725 1.444" rotation="78.172 -0 0"/>
                    <Keyframe time="0.49" translation="0 4.725 1.835" rotation="78.172 -0 0"/>
                    <Keyframe time="0.555" translation="0 4.725 2.099" rotation="78.172 -0 0"/>
                    <Keyframe time="0.62" translation="0 4.725 2.484" rotation="78.172 -0 0"/>
                    <Keyframe time="0.685" translation="0 4.725 2.747" rotation="78.172 -0 0"/>
                    <Keyframe time="0.75" translation="0 4.725 3.14" rotation="78.172 -0 0"/>
                    <Keyframe time="0.815" translation="0 4.725 3.4" rotation="78.172 -0 0"/>
                    <Keyframe time="0.9" translation="0 4.725 3.78" rotation="78.172 -0 0"/>
                    <Keyframe time="1" translation="0 4.725 3.92" rotation="78.172 -0 0"/>
                </part>
                <part node="2|2|1|5"> <!--Rolltor index 2-->
                    <Keyframe time="0" translation="0 3.297 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 3.659 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 3.976 0.051" rotation="12.868 -0 0"/>
                    <Keyframe time="0.23" translation="0 4.278 0.051" rotation="46.335 -0 0"/>
                    <Keyframe time="0.295" translation="0 4.609 0.177" rotation="79.52 -0 0"/>
                    <Keyframe time="0.36" translation="0 4.722 0.499" rotation="90 -0 0"/>
                    <Keyframe time="0.425" translation="0 4.722 0.795" rotation="90 -0 0"/>
                    <Keyframe time="0.49" translation="0 4.722 1.185" rotation="90 -0 0"/>
                    <Keyframe time="0.555" translation="0 4.725 1.444" rotation="90 -0 0"/>	
                    <Keyframe time="0.62" translation="0 4.725 1.832" rotation="90 -0 0"/>
                    <Keyframe time="0.685" translation="0 4.725 2.093" rotation="90 -0 0"/>						
                    <Keyframe time="0.75" translation="0 4.725 2.483" rotation="90 -0 0"/>						
                    <Keyframe time="0.815" translation="0 4.725 2.744" rotation="90 -0 0"/>						
                    <Keyframe time="0.9" translation="0 4.725 3.132" rotation="90 -0 0"/>						
                    <Keyframe time="1" translation="0 4.725 3.267" rotation="90 -0 0"/>						
                </part>
                <part node="2|2|1|4"> <!--Rolltor index 3-->
                    <Keyframe time="0" translation="0 2.644 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 3.009 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 3.328 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.23" translation="0 3.623 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.295" translation="0 3.972 0.052" rotation="11.042 -0 0"/>
                    <Keyframe time="0.36" translation="0 4.258 0.049" rotation="44.281 -0 0"/>
                    <Keyframe time="0.425" translation="0 4.597 0.159" rotation="77.987 -0 0"/>
                    <Keyframe time="0.49" translation="0 4.722 0.531" rotation="90 -0 0"/>
                    <Keyframe time="0.555" translation="0 4.722 0.795" rotation="90 -0 0"/>
                    <Keyframe time="0.62" translation="0 4.722 1.185" rotation="90 -0 0"/>
                    <Keyframe time="0.685" translation="0 4.725 1.444" rotation="90 -0 0"/>	
                    <Keyframe time="0.75" translation="0 4.725 1.832" rotation="90 -0 0"/>
                    <Keyframe time="0.815" translation="0 4.725 2.093" rotation="90 -0 0"/>						
                    <Keyframe time="0.9" translation="0 4.725 2.483" rotation="90 -0 0"/>						
                    <Keyframe time="1" translation="0 4.725 2.619" rotation="90 -0 0"/>											
                </part>
                <part node="2|2|1|3"> <!--Rolltor index 4-->
                    <Keyframe time="0" translation="0 1.992 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 2.361 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 2.681 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.23" translation="0 2.974 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.295" translation="0 3.322 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.36" translation="0 3.605 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.425" translation="0 3.952 0.052" rotation="9.329 -0 0"/>
					<Keyframe time="0.49" translation="0 4.286 0.052" rotation="47.94 -0 0"/>
                    <Keyframe time="0.555" translation="0 4.597 0.159" rotation="77.987 -0 0"/>					
                    <Keyframe time="0.62" translation="0 4.722 0.531" rotation="90 -0 0"/>
                    <Keyframe time="0.685" translation="0 4.722 0.795" rotation="90 -0 0"/>
                    <Keyframe time="0.75" translation="0 4.722 1.185" rotation="90 -0 0"/>
                    <Keyframe time="0.815" translation="0 4.725 1.444" rotation="90 -0 0"/>	
                    <Keyframe time="0.9" translation="0 4.725 1.832" rotation="90 -0 0"/>
                    <Keyframe time="1" translation="0 4.725 1.974" rotation="90 -0 0"/>					
                </part>
                <part node="2|2|1|2"> <!--Rolltor index 5-->
                    <Keyframe time="0" translation="0 1.338 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 1.708 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 2.029 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.23" translation="0 2.323 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.295" translation="0 2.664 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.36" translation="0 2.955 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.425" translation="0 3.299 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.49" translation="0 3.634 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.555" translation="0 3.952 0.052" rotation="9.329 -0 0"/>	
                    <Keyframe time="0.62" translation="0 4.286 0.052" rotation="47.94 -0 0"/>					
                    <Keyframe time="0.685" translation="0 4.597 0.159" rotation="77.987 -0 0"/>					
                    <Keyframe time="0.75" translation="0 4.722 0.531" rotation="90 -0 0"/>
                    <Keyframe time="0.815" translation="0 4.722 0.795" rotation="90 -0 0"/>
                    <Keyframe time="0.9" translation="0 4.722 1.185" rotation="90 -0 0"/>
                    <Keyframe time="1" translation="0 4.722 1.324" rotation="90 -0 0"/>
                </part>
                <part node="2|2|1|1"> <!--Rolltor index 6-->
                    <Keyframe time="0" translation="0 0.685 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 1.058 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 1.379 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.23" translation="0 1.67 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.295" translation="0 2.011 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.36" translation="0 2.305 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.425" translation="0 2.65 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.49" translation="0 2.982 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.555" translation="0 3.299 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.62" translation="0 3.637 0.052" rotation="0 -0 0"/>	
                    <Keyframe time="0.685" translation="0 3.952 0.052" rotation="9.329 -0 0"/>	
                    <Keyframe time="0.75" translation="0 4.286 0.052" rotation="47.94 -0 0"/>					
                    <Keyframe time="0.815" translation="0 4.597 0.159" rotation="77.987 -0 0"/>					
                    <Keyframe time="0.9" translation="0 4.722 0.531" rotation="90 -0 0"/>
                    <Keyframe time="1" translation="0 4.722 0.675" rotation="90 -0 0"/>
                </part>
                <part node="2|2|1|0"> <!--Rolltor index 7-->
                    <Keyframe time="0" translation="0 0.036 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 0.407 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 0.726 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.23" translation="0 1.02 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.295" translation="0 1.358 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.36" translation="0 1.654 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.425" translation="0 1.998 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.49" translation="0 2.33 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.555" translation="0 2.65 0.051" rotation="0 -0 0"/>	
                    <Keyframe time="0.62" translation="0 2.986 0.051" rotation="0 -0 0"/>					
                    <Keyframe time="0.685" translation="0 3.299 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.75" translation="0 3.637 0.051" rotation="0 -0 0"/>	
                    <Keyframe time="0.815" translation="0 3.952 0.051" rotation="9.329 -0 0"/>	
                    <Keyframe time="0.9" translation="0 4.286 0.051" rotation="47.94 -0 0"/>					
                    <Keyframe time="1" translation="0 4.439 0.084" rotation="64.628 -0 0"/>					
                </part>				
            </animation>
            <controls triggerNode="2|2|0" posAction="ACTIVATE_HANDTOOL" posText="action_opengate" negText="action_closegate" />
            <sounds>
                <moving file="$data/sounds/tools/cotton_transporter/cotton_load_loop.ogg" loops="0" linkNode="2|2|0" volume="0.4" radius="25" innerRadius="3" fadeOut="0.25"/>
            </sounds>
        </animatedObject>
				<animatedObject saveId="Rolltor04" >
            <animation initialTime="0" duration="7.5">		
                <part node="2|3|1|6"> <!--Rolltor index 1-->
                    <Keyframe time="0" translation="0 3.951 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation=" 0 4.31 0.051" rotation="39.48 -0 0"/>
                    <Keyframe time="0.165" translation=" 0 4.607 0.193" rotation="67.903 -0 0"/>
                    <Keyframe time="0.23" translation="0 4.727 0.522" rotation="78.172 -0 0"/>
                    <Keyframe time="0.295" translation="0 4.727 0.821" rotation="78.172 -0 0"/>
                    <Keyframe time="0.36" translation="0 4.725 1.149" rotation="78.172 -0 0"/>
                    <Keyframe time="0.425" translation="0 4.725 1.444" rotation="78.172 -0 0"/>
                    <Keyframe time="0.49" translation="0 4.725 1.835" rotation="78.172 -0 0"/>
                    <Keyframe time="0.555" translation="0 4.725 2.099" rotation="78.172 -0 0"/>
                    <Keyframe time="0.62" translation="0 4.725 2.484" rotation="78.172 -0 0"/>
                    <Keyframe time="0.685" translation="0 4.725 2.747" rotation="78.172 -0 0"/>
                    <Keyframe time="0.75" translation="0 4.725 3.14" rotation="78.172 -0 0"/>
                    <Keyframe time="0.815" translation="0 4.725 3.4" rotation="78.172 -0 0"/>
                    <Keyframe time="0.9" translation="0 4.725 3.78" rotation="78.172 -0 0"/>
                    <Keyframe time="1" translation="0 4.725 3.92" rotation="78.172 -0 0"/>
                </part>
                <part node="2|3|1|5"> <!--Rolltor index 2-->
                    <Keyframe time="0" translation="0 3.297 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 3.659 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 3.976 0.051" rotation="12.868 -0 0"/>
                    <Keyframe time="0.23" translation="0 4.278 0.051" rotation="46.335 -0 0"/>
                    <Keyframe time="0.295" translation="0 4.609 0.177" rotation="79.52 -0 0"/>
                    <Keyframe time="0.36" translation="0 4.722 0.499" rotation="90 -0 0"/>
                    <Keyframe time="0.425" translation="0 4.722 0.795" rotation="90 -0 0"/>
                    <Keyframe time="0.49" translation="0 4.722 1.185" rotation="90 -0 0"/>
                    <Keyframe time="0.555" translation="0 4.725 1.444" rotation="90 -0 0"/>	
                    <Keyframe time="0.62" translation="0 4.725 1.832" rotation="90 -0 0"/>
                    <Keyframe time="0.685" translation="0 4.725 2.093" rotation="90 -0 0"/>						
                    <Keyframe time="0.75" translation="0 4.725 2.483" rotation="90 -0 0"/>						
                    <Keyframe time="0.815" translation="0 4.725 2.744" rotation="90 -0 0"/>						
                    <Keyframe time="0.9" translation="0 4.725 3.132" rotation="90 -0 0"/>						
                    <Keyframe time="1" translation="0 4.725 3.267" rotation="90 -0 0"/>						
                </part>
                <part node="2|3|1|4"> <!--Rolltor index 3-->
                    <Keyframe time="0" translation="0 2.644 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 3.009 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 3.328 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.23" translation="0 3.623 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.295" translation="0 3.972 0.052" rotation="11.042 -0 0"/>
                    <Keyframe time="0.36" translation="0 4.258 0.049" rotation="44.281 -0 0"/>
                    <Keyframe time="0.425" translation="0 4.597 0.159" rotation="77.987 -0 0"/>
                    <Keyframe time="0.49" translation="0 4.722 0.531" rotation="90 -0 0"/>
                    <Keyframe time="0.555" translation="0 4.722 0.795" rotation="90 -0 0"/>
                    <Keyframe time="0.62" translation="0 4.722 1.185" rotation="90 -0 0"/>
                    <Keyframe time="0.685" translation="0 4.725 1.444" rotation="90 -0 0"/>	
                    <Keyframe time="0.75" translation="0 4.725 1.832" rotation="90 -0 0"/>
                    <Keyframe time="0.815" translation="0 4.725 2.093" rotation="90 -0 0"/>						
                    <Keyframe time="0.9" translation="0 4.725 2.483" rotation="90 -0 0"/>						
                    <Keyframe time="1" translation="0 4.725 2.619" rotation="90 -0 0"/>											
                </part>
                <part node="2|3|1|3"> <!--Rolltor index 4-->
                    <Keyframe time="0" translation="0 1.992 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 2.361 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 2.681 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.23" translation="0 2.974 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.295" translation="0 3.322 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.36" translation="0 3.605 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.425" translation="0 3.952 0.052" rotation="9.329 -0 0"/>
					<Keyframe time="0.49" translation="0 4.286 0.052" rotation="47.94 -0 0"/>
                    <Keyframe time="0.555" translation="0 4.597 0.159" rotation="77.987 -0 0"/>					
                    <Keyframe time="0.62" translation="0 4.722 0.531" rotation="90 -0 0"/>
                    <Keyframe time="0.685" translation="0 4.722 0.795" rotation="90 -0 0"/>
                    <Keyframe time="0.75" translation="0 4.722 1.185" rotation="90 -0 0"/>
                    <Keyframe time="0.815" translation="0 4.725 1.444" rotation="90 -0 0"/>	
                    <Keyframe time="0.9" translation="0 4.725 1.832" rotation="90 -0 0"/>
                    <Keyframe time="1" translation="0 4.725 1.974" rotation="90 -0 0"/>					
                </part>
                <part node="2|3|1|2"> <!--Rolltor index 5-->
                    <Keyframe time="0" translation="0 1.338 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 1.708 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 2.029 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.23" translation="0 2.323 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.295" translation="0 2.664 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.36" translation="0 2.955 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.425" translation="0 3.299 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.49" translation="0 3.634 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.555" translation="0 3.952 0.052" rotation="9.329 -0 0"/>	
                    <Keyframe time="0.62" translation="0 4.286 0.052" rotation="47.94 -0 0"/>					
                    <Keyframe time="0.685" translation="0 4.597 0.159" rotation="77.987 -0 0"/>					
                    <Keyframe time="0.75" translation="0 4.722 0.531" rotation="90 -0 0"/>
                    <Keyframe time="0.815" translation="0 4.722 0.795" rotation="90 -0 0"/>
                    <Keyframe time="0.9" translation="0 4.722 1.185" rotation="90 -0 0"/>
                    <Keyframe time="1" translation="0 4.722 1.324" rotation="90 -0 0"/>
                </part>
                <part node="2|3|1|1"> <!--Rolltor index 6-->
                    <Keyframe time="0" translation="0 0.685 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 1.058 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 1.379 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.23" translation="0 1.67 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.295" translation="0 2.011 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.36" translation="0 2.305 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.425" translation="0 2.65 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.49" translation="0 2.982 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.555" translation="0 3.299 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.62" translation="0 3.637 0.052" rotation="0 -0 0"/>	
                    <Keyframe time="0.685" translation="0 3.952 0.052" rotation="9.329 -0 0"/>	
                    <Keyframe time="0.75" translation="0 4.286 0.052" rotation="47.94 -0 0"/>					
                    <Keyframe time="0.815" translation="0 4.597 0.159" rotation="77.987 -0 0"/>					
                    <Keyframe time="0.9" translation="0 4.722 0.531" rotation="90 -0 0"/>
                    <Keyframe time="1" translation="0 4.722 0.675" rotation="90 -0 0"/>
                </part>
                <part node="2|3|1|0"> <!--Rolltor index 7-->
                    <Keyframe time="0" translation="0 0.036 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 0.407 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 0.726 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.23" translation="0 1.02 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.295" translation="0 1.358 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.36" translation="0 1.654 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.425" translation="0 1.998 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.49" translation="0 2.33 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.555" translation="0 2.65 0.051" rotation="0 -0 0"/>	
                    <Keyframe time="0.62" translation="0 2.986 0.051" rotation="0 -0 0"/>					
                    <Keyframe time="0.685" translation="0 3.299 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.75" translation="0 3.637 0.051" rotation="0 -0 0"/>	
                    <Keyframe time="0.815" translation="0 3.952 0.051" rotation="9.329 -0 0"/>	
                    <Keyframe time="0.9" translation="0 4.286 0.051" rotation="47.94 -0 0"/>					
                    <Keyframe time="1" translation="0 4.439 0.084" rotation="64.628 -0 0"/>					
                </part>				
            </animation>
            <controls triggerNode="2|3|0" posAction="ACTIVATE_HANDTOOL" posText="action_opengate" negText="action_closegate" />
            <sounds>
                <moving file="$data/sounds/tools/cotton_transporter/cotton_load_loop.ogg" loops="0" linkNode="2|3|0" volume="0.4" radius="25" innerRadius="3" fadeOut="0.25"/>
            </sounds>
        </animatedObject>
		<animatedObject saveId="Rolltor05" >
            <animation initialTime="0" duration="7.5">		
                <part node="2|4|1|6"> <!--Rolltor index 1-->
                    <Keyframe time="0" translation="0 3.951 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation=" 0 4.31 0.051" rotation="39.48 -0 0"/>
                    <Keyframe time="0.165" translation=" 0 4.607 0.193" rotation="67.903 -0 0"/>
                    <Keyframe time="0.23" translation="0 4.727 0.522" rotation="78.172 -0 0"/>
                    <Keyframe time="0.295" translation="0 4.727 0.821" rotation="78.172 -0 0"/>
                    <Keyframe time="0.36" translation="0 4.725 1.149" rotation="78.172 -0 0"/>
                    <Keyframe time="0.425" translation="0 4.725 1.444" rotation="78.172 -0 0"/>
                    <Keyframe time="0.49" translation="0 4.725 1.835" rotation="78.172 -0 0"/>
                    <Keyframe time="0.555" translation="0 4.725 2.099" rotation="78.172 -0 0"/>
                    <Keyframe time="0.62" translation="0 4.725 2.484" rotation="78.172 -0 0"/>
                    <Keyframe time="0.685" translation="0 4.725 2.747" rotation="78.172 -0 0"/>
                    <Keyframe time="0.75" translation="0 4.725 3.14" rotation="78.172 -0 0"/>
                    <Keyframe time="0.815" translation="0 4.725 3.4" rotation="78.172 -0 0"/>
                    <Keyframe time="0.9" translation="0 4.725 3.78" rotation="78.172 -0 0"/>
                    <Keyframe time="1" translation="0 4.725 3.92" rotation="78.172 -0 0"/>
                </part>
                <part node="2|4|1|5"> <!--Rolltor index 2-->
                    <Keyframe time="0" translation="0 3.297 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 3.659 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 3.976 0.051" rotation="12.868 -0 0"/>
                    <Keyframe time="0.23" translation="0 4.278 0.051" rotation="46.335 -0 0"/>
                    <Keyframe time="0.295" translation="0 4.609 0.177" rotation="79.52 -0 0"/>
                    <Keyframe time="0.36" translation="0 4.722 0.499" rotation="90 -0 0"/>
                    <Keyframe time="0.425" translation="0 4.722 0.795" rotation="90 -0 0"/>
                    <Keyframe time="0.49" translation="0 4.722 1.185" rotation="90 -0 0"/>
                    <Keyframe time="0.555" translation="0 4.725 1.444" rotation="90 -0 0"/>	
                    <Keyframe time="0.62" translation="0 4.725 1.832" rotation="90 -0 0"/>
                    <Keyframe time="0.685" translation="0 4.725 2.093" rotation="90 -0 0"/>						
                    <Keyframe time="0.75" translation="0 4.725 2.483" rotation="90 -0 0"/>						
                    <Keyframe time="0.815" translation="0 4.725 2.744" rotation="90 -0 0"/>						
                    <Keyframe time="0.9" translation="0 4.725 3.132" rotation="90 -0 0"/>						
                    <Keyframe time="1" translation="0 4.725 3.267" rotation="90 -0 0"/>						
                </part>
                <part node="2|4|1|4"> <!--Rolltor index 3-->
                    <Keyframe time="0" translation="0 2.644 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 3.009 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 3.328 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.23" translation="0 3.623 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.295" translation="0 3.972 0.052" rotation="11.042 -0 0"/>
                    <Keyframe time="0.36" translation="0 4.258 0.049" rotation="44.281 -0 0"/>
                    <Keyframe time="0.425" translation="0 4.597 0.159" rotation="77.987 -0 0"/>
                    <Keyframe time="0.49" translation="0 4.722 0.531" rotation="90 -0 0"/>
                    <Keyframe time="0.555" translation="0 4.722 0.795" rotation="90 -0 0"/>
                    <Keyframe time="0.62" translation="0 4.722 1.185" rotation="90 -0 0"/>
                    <Keyframe time="0.685" translation="0 4.725 1.444" rotation="90 -0 0"/>	
                    <Keyframe time="0.75" translation="0 4.725 1.832" rotation="90 -0 0"/>
                    <Keyframe time="0.815" translation="0 4.725 2.093" rotation="90 -0 0"/>						
                    <Keyframe time="0.9" translation="0 4.725 2.483" rotation="90 -0 0"/>						
                    <Keyframe time="1" translation="0 4.725 2.619" rotation="90 -0 0"/>											
                </part>
                <part node="2|4|1|3"> <!--Rolltor index 4-->
                    <Keyframe time="0" translation="0 1.992 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 2.361 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 2.681 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.23" translation="0 2.974 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.295" translation="0 3.322 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.36" translation="0 3.605 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.425" translation="0 3.952 0.052" rotation="9.329 -0 0"/>
					<Keyframe time="0.49" translation="0 4.286 0.052" rotation="47.94 -0 0"/>
                    <Keyframe time="0.555" translation="0 4.597 0.159" rotation="77.987 -0 0"/>					
                    <Keyframe time="0.62" translation="0 4.722 0.531" rotation="90 -0 0"/>
                    <Keyframe time="0.685" translation="0 4.722 0.795" rotation="90 -0 0"/>
                    <Keyframe time="0.75" translation="0 4.722 1.185" rotation="90 -0 0"/>
                    <Keyframe time="0.815" translation="0 4.725 1.444" rotation="90 -0 0"/>	
                    <Keyframe time="0.9" translation="0 4.725 1.832" rotation="90 -0 0"/>
                    <Keyframe time="1" translation="0 4.725 1.974" rotation="90 -0 0"/>					
                </part>
                <part node="2|4|1|2"> <!--Rolltor index 5-->
                    <Keyframe time="0" translation="0 1.338 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 1.708 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 2.029 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.23" translation="0 2.323 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.295" translation="0 2.664 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.36" translation="0 2.955 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.425" translation="0 3.299 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.49" translation="0 3.634 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.555" translation="0 3.952 0.052" rotation="9.329 -0 0"/>	
                    <Keyframe time="0.62" translation="0 4.286 0.052" rotation="47.94 -0 0"/>					
                    <Keyframe time="0.685" translation="0 4.597 0.159" rotation="77.987 -0 0"/>					
                    <Keyframe time="0.75" translation="0 4.722 0.531" rotation="90 -0 0"/>
                    <Keyframe time="0.815" translation="0 4.722 0.795" rotation="90 -0 0"/>
                    <Keyframe time="0.9" translation="0 4.722 1.185" rotation="90 -0 0"/>
                    <Keyframe time="1" translation="0 4.722 1.324" rotation="90 -0 0"/>
                </part>
                <part node="2|4|1|1"> <!--Rolltor index 6-->
                    <Keyframe time="0" translation="0 0.685 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 1.058 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 1.379 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.23" translation="0 1.67 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.295" translation="0 2.011 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.36" translation="0 2.305 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.425" translation="0 2.65 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.49" translation="0 2.982 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.555" translation="0 3.299 0.052" rotation="0 -0 0"/>
                    <Keyframe time="0.62" translation="0 3.637 0.052" rotation="0 -0 0"/>	
                    <Keyframe time="0.685" translation="0 3.952 0.052" rotation="9.329 -0 0"/>	
                    <Keyframe time="0.75" translation="0 4.286 0.052" rotation="47.94 -0 0"/>					
                    <Keyframe time="0.815" translation="0 4.597 0.159" rotation="77.987 -0 0"/>					
                    <Keyframe time="0.9" translation="0 4.722 0.531" rotation="90 -0 0"/>
                    <Keyframe time="1" translation="0 4.722 0.675" rotation="90 -0 0"/>
                </part>
                <part node="2|4|1|0"> <!--Rolltor index 7-->
                    <Keyframe time="0" translation="0 0.036 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.1" translation="0 0.407 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.165" translation="0 0.726 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.23" translation="0 1.02 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.295" translation="0 1.358 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.36" translation="0 1.654 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.425" translation="0 1.998 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.49" translation="0 2.33 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.555" translation="0 2.65 0.051" rotation="0 -0 0"/>	
                    <Keyframe time="0.62" translation="0 2.986 0.051" rotation="0 -0 0"/>					
                    <Keyframe time="0.685" translation="0 3.299 0.051" rotation="0 -0 0"/>
                    <Keyframe time="0.75" translation="0 3.637 0.051" rotation="0 -0 0"/>	
                    <Keyframe time="0.815" translation="0 3.952 0.051" rotation="9.329 -0 0"/>	
                    <Keyframe time="0.9" translation="0 4.286 0.051" rotation="47.94 -0 0"/>					
                    <Keyframe time="1" translation="0 4.439 0.084" rotation="64.628 -0 0"/>					
                </part>				
            </animation>
            <controls triggerNode="2|4|0" posAction="ACTIVATE_HANDTOOL" posText="action_opengate" negText="action_closegate" />
            <sounds>
                <moving file="$data/sounds/tools/cotton_transporter/cotton_load_loop.ogg" loops="0" linkNode="2|4|0" volume="0.4" radius="25" innerRadius="3" fadeOut="0.25"/>
            </sounds>
        </animatedObject>
        <animatedObject saveId="Tuer01" >
            <animation duration="1.5">
                <part node="2|5|1">
                    <keyFrame time="0.0" 	rotation="0 0 0"/>
                    <keyFrame time="1.0" 	rotation="0 90 0"/>
                </part>
            </animation>
            <controls triggerNode="2|5|0" posAction="ACTIVATE_HANDTOOL" posText="action_openGate" negText="action_closeGate" />
			<sounds>
                <moving file="$data/sounds/prefab/gate/gate_loop.wav" loops="0"  volume="0.6" radius="25" innerRadius="3" fadeOut="0.25"/>
                <posEnd file="$data/sounds/prefab/gate/gate_opened.wav"          volume="0.6" radius="25" innerRadius="3" />
                <negEnd file="$data/sounds/prefab/gate/gate_closed.wav"          volume="0.6" radius="25" innerRadius="3" />
            </sounds>
        </animatedObject>
		<animatedObject saveId="Tuer02" >
            <animation duration="1.5">
                <part node="2|6|1">
                    <keyFrame time="0.0" 	rotation="0 0 0"/>
                    <keyFrame time="1.0" 	rotation="0 90 0"/>
                </part>
            </animation>
            <controls triggerNode="2|6|0" posAction="ACTIVATE_HANDTOOL" posText="action_openGate" negText="action_closeGate" />
			<sounds>
                <moving file="$data/sounds/prefab/gate/gate_loop.wav" loops="0"  volume="0.6" radius="25" innerRadius="3" fadeOut="0.25"/>
                <posEnd file="$data/sounds/prefab/gate/gate_opened.wav"          volume="0.6" radius="25" innerRadius="3" />
                <negEnd file="$data/sounds/prefab/gate/gate_closed.wav"          volume="0.6" radius="25" innerRadius="3" />
            </sounds>
        </animatedObject>
		<animatedObject saveId="Licht01" >
            <animation duration="0.1">
 				<part node="3|0|0|1"> 
					<keyFrame time="0" visibility="false" />
					<keyFrame time="1" visibility="true" />
                </part>
				<part node="3|0|1|1"> 
					<keyFrame time="0" visibility="false" />
					<keyFrame time="1" visibility="true" />
                </part>
				<part node="3|0|2|1"> 
					<keyFrame time="0" visibility="false" />
					<keyFrame time="1" visibility="true" />
                </part>
				<part node="3|0|3|1"> 
					<keyFrame time="0" visibility="false" />
					<keyFrame time="1" visibility="true" />
                </part>
				<part node="3|0|4|1"> 
					<keyFrame time="0" visibility="false" />
					<keyFrame time="1" visibility="true" />
                </part>
				<part node="3|0|5|1"> 
					<keyFrame time="0" visibility="false" />
					<keyFrame time="1" visibility="true" />
                </part>
				<part node="3|0|6|1"> 
					<keyFrame time="0" visibility="false" />
					<keyFrame time="1" visibility="true" />
                </part>
				<part node="3|0|7|1"> 
					<keyFrame time="0" visibility="false" />
					<keyFrame time="1" visibility="true" />
                </part>
				<part node="3|0|8|1"> 
					<keyFrame time="0" visibility="false" />
					<keyFrame time="1" visibility="true" />
                </part>
				<part node="3|0|9|1"> 
					<keyFrame time="0" visibility="false" />
					<keyFrame time="1" visibility="true" />
                </part>
				<part node="3|0|10|1"> 
					<keyFrame time="0" visibility="false" />
					<keyFrame time="1" visibility="true" />
                </part>
				<part node="3|0|11|1"> 
					<keyFrame time="0" visibility="false" />
					<keyFrame time="1" visibility="true" />
                </part>
				<part node="3|0|12|1"> 
					<keyFrame time="0" visibility="false" />
					<keyFrame time="1" visibility="true" />
                </part>
				<part node="3|0|13|1"> 
					<keyFrame time="0" visibility="false" />
					<keyFrame time="1" visibility="true" />
                </part>
				<part node="3|0|14|1"> 
					<keyFrame time="0" visibility="false" />
					<keyFrame time="1" visibility="true" />
                </part>
				<part node="3|0|15|1"> 
					<keyFrame time="0" visibility="false" />
					<keyFrame time="1" visibility="true" />
                </part>
				<part node="3|0|16|1"> 
					<keyFrame time="0" visibility="false" />
					<keyFrame time="1" visibility="true" />
                </part>
				<part node="3|0|17|1"> 
					<keyFrame time="0" visibility="false" />
					<keyFrame time="1" visibility="true" />
                </part>
				<part node="3|0|18|1"> 
					<keyFrame time="0" visibility="false" />
					<keyFrame time="1" visibility="true" />
                </part>
				<part node="3|0|19|1"> 
					<keyFrame time="0" visibility="false" />
					<keyFrame time="1" visibility="true" />
                </part>
			</animation>	
            <controls triggerNode="3|1" posAction="ACTIVATE_HANDTOOL" posText="action_lightSwitchON" negText="action_lightSwitchOFF" />
        </animatedObject>	
		<animatedObject saveId="Licht02" >
            <animation duration="0.1">
 				<part node="4|2|0|0"> 
					<keyFrame time="0" visibility="false" />
					<keyFrame time="1" visibility="true" />
                </part>
				<part node="4|3|0|0"> 
					<keyFrame time="0" visibility="false" />
					<keyFrame time="1" visibility="true" />
                </part>
				<part node="4|4|0|0"> 
					<keyFrame time="0" visibility="false" />
					<keyFrame time="1" visibility="true" />
                </part>
				<part node="4|5|0|0"> 
					<keyFrame time="0" visibility="false" />
					<keyFrame time="1" visibility="true" />
                </part>
				<part node="4|6|0|0"> 
					<keyFrame time="0" visibility="false" />
					<keyFrame time="1" visibility="true" />
                </part>
			</animation>	
            <controls triggerNode="4|0" posAction="ACTIVATE_HANDTOOL" posText="action_lightSwitchON" negText="action_lightSwitchOFF" />
        </animatedObject>	
	</animatedObjects>
</placeable>
